Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3711)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3712)
@@ -5513,71 +5562,72 @@
                                  * surf_usm_v(l)%tt_wall_m(nzb_wall:nzt_wall,m) )   
 
-if (.NOT. spinup) then
-              win_absorp = -log(surf_usm_v(l)%transmissivity(m)) / surf_usm_v(l)%zw_window(nzt_wall,m)
-!--           prognostic equation for window temperature t_window_v
-              wintend(:) = 0.0_wp
-              wintend(nzb_wall) = (1.0_wp / surf_usm_v(l)%rho_c_window(nzb_wall,m)) * &
-                                      ( surf_usm_v(l)%lambda_h_window(nzb_wall,m) *   &
-                                        ( t_window_v(l)%t(nzb_wall+1,m)               &
-                                        - t_window_v(l)%t(nzb_wall,m) ) *             &
-                                        surf_usm_v(l)%ddz_window(nzb_wall+1,m)        &
-                                      + surf_usm_v(l)%wghf_eb_window(m)               &
-                                      + surf_usm_v(l)%rad_sw_in(m)                    &
-                                        * (1.0_wp - exp(-win_absorp                   &
-                                        * surf_usm_v(l)%zw_window(nzb_wall,m) ) )     &
-                                      ) * surf_usm_v(l)%ddz_window_stag(nzb_wall,m)
-
-              IF ( indoor_model ) then 
-                 DO  kw = nzb_wall+1, nzt_wall -1
-                     wintend(kw) = (1.0_wp / surf_usm_v(l)%rho_c_window(kw,m))         &
-                              * (   surf_usm_v(l)%lambda_h_window(kw,m)                &
-                                 * ( t_window_v(l)%t(kw+1,m) - t_window_v(l)%t(kw,m) ) &
-                                 * surf_usm_v(l)%ddz_window(kw+1,m)                    &
-                              - surf_usm_v(l)%lambda_h_window(kw-1,m)                  &
-                                 * ( t_window_v(l)%t(kw,m) - t_window_v(l)%t(kw-1,m) ) &
-                                 * surf_usm_v(l)%ddz_window(kw,m)                      &
-                              + surf_usm_v(l)%rad_sw_in(m)                             &
-                                 * (exp(-win_absorp                                    &
-                                    * surf_usm_v(l)%zw_window(kw-1,m)       )          &
-                                        - exp(-win_absorp                              &
-                                        * surf_usm_v(l)%zw_window(kw,m) ) )            &
-                                 ) * surf_usm_v(l)%ddz_window_stag(kw,m)
-                  ENDDO
-                  wintend(nzt_wall) = (1.0_wp / surf_usm_v(l)%rho_c_window(nzt_wall,m)) *  &
-                                          ( -surf_usm_v(l)%lambda_h_window(nzt_wall-1,m) * &
-                                            ( t_window_v(l)%t(nzt_wall,m)                  &
-                                            - t_window_v(l)%t(nzt_wall-1,m) ) *            &
-                                            surf_usm_v(l)%ddz_window(nzt_wall,m)           &
-                                          + surf_usm_v(l)%iwghf_eb_window(m)               &
-                                          + surf_usm_v(l)%rad_sw_in(m)                     &
-                                            * (exp(-win_absorp                             &
-                                          * surf_usm_v(l)%zw_window(nzt_wall-1,m) )        &
-                                        - exp(-win_absorp                                  &
-                                            * surf_usm_v(l)%zw_window(nzt_wall,m) ) )      &
-                                          ) * surf_usm_v(l)%ddz_window_stag(nzt_wall,m)
-              ELSE
-                 DO  kw = nzb_wall+1, nzt_wall
-                     wintend(kw) = (1.0_wp / surf_usm_v(l)%rho_c_window(kw,m))         &
-                              * (   surf_usm_v(l)%lambda_h_window(kw,m)                &
-                                 * ( t_window_v(l)%t(kw+1,m) - t_window_v(l)%t(kw,m) ) &
-                                 * surf_usm_v(l)%ddz_window(kw+1,m)                    &
-                              - surf_usm_v(l)%lambda_h_window(kw-1,m)                  &
-                                 * ( t_window_v(l)%t(kw,m) - t_window_v(l)%t(kw-1,m) ) &
-                                 * surf_usm_v(l)%ddz_window(kw,m)                      &
-                              + surf_usm_v(l)%rad_sw_in(m)                             &
-                                 * (exp(-win_absorp                                    &
-                                    * surf_usm_v(l)%zw_window(kw-1,m)       )          &
-                                        - exp(-win_absorp                              &
-                                        * surf_usm_v(l)%zw_window(kw,m) ) )            &
-                                 ) * surf_usm_v(l)%ddz_window_stag(kw,m)
-                 ENDDO
+              IF (.NOT. spinup) THEN
+                 win_absorp = -log(surf_usm_v(l)%transmissivity(m)) / surf_usm_v(l)%zw_window(nzt_wall,m)
+!
+!--              prognostic equation for window temperature t_window_v
+                 wintend(:) = 0.0_wp
+                 wintend(nzb_wall) = (1.0_wp / surf_usm_v(l)%rho_c_window(nzb_wall,m)) * &
+                                         ( surf_usm_v(l)%lambda_h_window(nzb_wall,m) *   &
+                                           ( t_window_v(l)%t(nzb_wall+1,m)               &
+                                           - t_window_v(l)%t(nzb_wall,m) ) *             &
+                                           surf_usm_v(l)%ddz_window(nzb_wall+1,m)        &
+                                         + surf_usm_v(l)%wghf_eb_window(m)               &
+                                         + surf_usm_v(l)%rad_sw_in(m)                    &
+                                           * (1.0_wp - exp(-win_absorp                   &
+                                           * surf_usm_v(l)%zw_window(nzb_wall,m) ) )     &
+                                         ) * surf_usm_v(l)%ddz_window_stag(nzb_wall,m)
+   
+                 IF ( indoor_model ) THEN 
+                    DO  kw = nzb_wall+1, nzt_wall -1
+                        wintend(kw) = (1.0_wp / surf_usm_v(l)%rho_c_window(kw,m))         &
+                                 * (   surf_usm_v(l)%lambda_h_window(kw,m)                &
+                                    * ( t_window_v(l)%t(kw+1,m) - t_window_v(l)%t(kw,m) ) &
+                                    * surf_usm_v(l)%ddz_window(kw+1,m)                    &
+                                 - surf_usm_v(l)%lambda_h_window(kw-1,m)                  &
+                                    * ( t_window_v(l)%t(kw,m) - t_window_v(l)%t(kw-1,m) ) &
+                                    * surf_usm_v(l)%ddz_window(kw,m)                      &
+                                 + surf_usm_v(l)%rad_sw_in(m)                             &
+                                    * (exp(-win_absorp                                    &
+                                       * surf_usm_v(l)%zw_window(kw-1,m)       )          &
+                                           - exp(-win_absorp                              &
+                                           * surf_usm_v(l)%zw_window(kw,m) ) )            &
+                                    ) * surf_usm_v(l)%ddz_window_stag(kw,m)
+                     ENDDO
+                     wintend(nzt_wall) = (1.0_wp / surf_usm_v(l)%rho_c_window(nzt_wall,m)) *  &
+                                             ( -surf_usm_v(l)%lambda_h_window(nzt_wall-1,m) * &
+                                               ( t_window_v(l)%t(nzt_wall,m)                  &
+                                               - t_window_v(l)%t(nzt_wall-1,m) ) *            &
+                                               surf_usm_v(l)%ddz_window(nzt_wall,m)           &
+                                             + surf_usm_v(l)%iwghf_eb_window(m)               &
+                                             + surf_usm_v(l)%rad_sw_in(m)                     &
+                                               * (exp(-win_absorp                             &
+                                             * surf_usm_v(l)%zw_window(nzt_wall-1,m) )        &
+                                           - exp(-win_absorp                                  &
+                                               * surf_usm_v(l)%zw_window(nzt_wall,m) ) )      &
+                                             ) * surf_usm_v(l)%ddz_window_stag(nzt_wall,m)
+                 ELSE
+                    DO  kw = nzb_wall+1, nzt_wall
+                        wintend(kw) = (1.0_wp / surf_usm_v(l)%rho_c_window(kw,m))         &
+                                 * (   surf_usm_v(l)%lambda_h_window(kw,m)                &
+                                    * ( t_window_v(l)%t(kw+1,m) - t_window_v(l)%t(kw,m) ) &
+                                    * surf_usm_v(l)%ddz_window(kw+1,m)                    &
+                                 - surf_usm_v(l)%lambda_h_window(kw-1,m)                  &
+                                    * ( t_window_v(l)%t(kw,m) - t_window_v(l)%t(kw-1,m) ) &
+                                    * surf_usm_v(l)%ddz_window(kw,m)                      &
+                                 + surf_usm_v(l)%rad_sw_in(m)                             &
+                                    * (exp(-win_absorp                                    &
+                                       * surf_usm_v(l)%zw_window(kw-1,m)       )          &
+                                           - exp(-win_absorp                              &
+                                           * surf_usm_v(l)%zw_window(kw,m) ) )            &
+                                    ) * surf_usm_v(l)%ddz_window_stag(kw,m)
+                    ENDDO
+                 ENDIF
+   
+                 t_window_v_p(l)%t(nzb_wall:nzt_wall,m) =                           &
+                                      t_window_v(l)%t(nzb_wall:nzt_wall,m)          &
+                                    + dt_3d * ( tsc(2)                              &
+                                    * wintend(nzb_wall:nzt_wall) + tsc(3)           &
+                                    * surf_usm_v(l)%tt_window_m(nzb_wall:nzt_wall,m) )   
               ENDIF
-
-              t_window_v_p(l)%t(nzb_wall:nzt_wall,m) =                           &
-                                   t_window_v(l)%t(nzb_wall:nzt_wall,m)          &
-                                 + dt_3d * ( tsc(2)                              &
-                                 * wintend(nzb_wall:nzt_wall) + tsc(3)           &
-                                 * surf_usm_v(l)%tt_window_m(nzb_wall:nzt_wall,m) )   
-endif
 
 !
@@ -5599,21 +5649,22 @@
 
 
-if (.NOT. spinup) then
-!--           calculate t_window tendencies for the next Runge-Kutta step
-              IF ( timestep_scheme(1:5) == 'runge' )  THEN
-                  IF ( intermediate_timestep_count == 1 )  THEN
-                     DO  kw = nzb_wall, nzt_wall
-                        surf_usm_v(l)%tt_window_m(kw,m) = wintend(kw)
-                     ENDDO
-                  ELSEIF ( intermediate_timestep_count <                       &
-                           intermediate_timestep_count_max )  THEN
-                      DO  kw = nzb_wall, nzt_wall
-                         surf_usm_v(l)%tt_window_m(kw,m) =                     &
-                                     - 9.5625_wp * wintend(kw) +               &
-                                       5.3125_wp * surf_usm_v(l)%tt_window_m(kw,m)
-                      ENDDO
-                  ENDIF
+              IF (.NOT. spinup) THEN
+!
+!--              calculate t_window tendencies for the next Runge-Kutta step
+                 IF ( timestep_scheme(1:5) == 'runge' )  THEN
+                     IF ( intermediate_timestep_count == 1 )  THEN
+                        DO  kw = nzb_wall, nzt_wall
+                           surf_usm_v(l)%tt_window_m(kw,m) = wintend(kw)
+                        ENDDO
+                     ELSEIF ( intermediate_timestep_count <                       &
+                              intermediate_timestep_count_max )  THEN
+                         DO  kw = nzb_wall, nzt_wall
+                            surf_usm_v(l)%tt_window_m(kw,m) =                     &
+                                        - 9.5625_wp * wintend(kw) +               &
+                                          5.3125_wp * surf_usm_v(l)%tt_window_m(kw,m)
+                         ENDDO
+                     ENDIF
+                 ENDIF
               ENDIF
-endif
 
            ENDDO
@@ -5634,9 +5685,9 @@
         IMPLICIT NONE
 
-        INTEGER(iwp) ::  i,j,k,l,kw, m                      !< running indices
-
-        REAL(wp)     :: ke, lambda_h_green_sat
-        REAL(wp)     :: h_vg !< Van Genuchten coef. h
-        REAL(wp)     :: drho_l_lv
+        INTEGER(iwp) ::  i,j,k,l,kw, m              !< running indices
+
+        REAL(wp)     :: ke, lambda_h_green_sat      !< heat conductivity for saturated soil
+        REAL(wp)     :: h_vg                        !< Van Genuchten coef. h
+        REAL(wp)     :: drho_l_lv                   !< frequently used parameter
 
         REAL(wp), DIMENSION(nzb_wall:nzt_wall) :: gtend,tend  !< tendency
@@ -5644,6 +5695,6 @@
         REAL(wp), DIMENSION(nzb_wall:nzt_wall) :: root_extr_green
 
-        REAL(wp), DIMENSION(nzb_wall:nzt_wall+1) :: lambda_green_temp !< temp. lambda
-        REAL(wp), DIMENSION(nzb_wall:nzt_wall+1) :: gamma_green_temp !< temp. gamma
+        REAL(wp), DIMENSION(nzb_wall:nzt_wall+1) :: lambda_green_temp  !< temp. lambda
+        REAL(wp), DIMENSION(nzb_wall:nzt_wall+1) :: gamma_green_temp   !< temp. gamma
 
         LOGICAL :: conserve_water_content = .true.
